#!/usr/bin/perl

use strict;
use Irssi;

use vars qw($VERSION %IRSSI);

$VERSION = "0.Π";
%IRSSI = (
	authors		=> 'APic',
	contact		=> 'APic@IRCnet',
	name		=> 'LexxCensorShip',
	description	=> 'Script to strip one-Line-ASCII-Art of the Starship Lexx in own Messages to a certain Target',
	license		=> 'public Domina', #no typo
	url		=> 'http://irssi.apic.name/LexxCensorShip.pl',
);

our $stripcolortarget = "";

sub event_send_text {
        my ($line, $srv, $witem) = @_;

        if(Irssi::settings_get_str("lexxcensorshiptarget") ne "" && lc($witem->{name}) eq lc(Irssi::settings_get_str("lexxcensorshiptarget"))) {
                $line =~ s/[8B]=+D//g;
                Irssi::signal_continue($line, $srv, $witem);
        }
}

Irssi::signal_add('send text', \&event_send_text);
Irssi::settings_add_str("misc", "lexxcensorshiptarget", "")
